LIBKECCAK_HMAC_FAST_UPDATE(3)

NAME
libkeccak_hmac_fast_update - Partially HMAC-hash a message without erasure

SYNOPSIS
#include <libkeccak.h>
int libkeccak_hmac_fast_update(struct libkeccak_state *state, const void *msg, size_t msglen);

Link with -lkeccak.

DESCRIPTION
The libkeccak_hmac_fast_update() function continues (or starts) HMAC-hashing a message. The current state of the hashing is stored in *state, and will be updated. The message specified by the msg parameter with the byte-size specified by the msglen parameter, will be hashed.

The libkeccak_hmac_fast_update() function may reallocate the state's message chunk buffer. When doing so, it attempts to do so as securely as possible, rather than as fast as possible.

RETURN VALUES
The libkeccak_hmac_fast_update() function returns 0 upon successful completion. On error, -1 is returned and errno is set to describe the error.

ERRORS
The libkeccak_hmac_fast_update() function may reallocate the state's message chunk buffer. When doing so, it attempts to do so as quickly as possible, rather than ensuring that the information in the old allocation is securely removed if a new allocation is required. realloc(3).

NOTES
Neither parameter by be NULL or 0.

SEE ALSO
libkeccak_hmac_create(3), libkeccak_hmac_initialise(3), libkeccak_hmac_fast_digest(3), libkeccak_hmac_update(3)